enum ObjectTypeEnum {

    ADVANCED_RIGHT_USER = 'advancedRightUser',
    ADVANCED_RIGHT_GROUP = 'advancedRightGroup',
    DEVICE = 'device',
    DATA_ENTRY = 'dataEntry',
    SESSION = 'session',
    DATA_ENTRY_PROJECT = 'dataEntryProject',
    EXPERIMENT = 'experiment',
    FACTOR = 'factor',
    GENERATOR_VARIABLE = 'genVariable',
    MODALITY = 'modality',
    PATH_BASE = 'path',
    PLATFORM = 'platform',
    PROTOCOL = 'protocol',
    REQUIRED_ANNOTATION = 'requiredAnnotation',
    ROLE_USER_SITE = 'roleUserSite',
    STATE_CODE = 'stateCode',
    SIMPLE_VARIABLE = 'variable',
    SEMI_AUTOMATIC_VARIABLE = 'semi_automatic_variable',
    SITE = 'site',
    TEST = 'test',
    TEST_INTERVAL = 'testInterval',
    TEST_GROWTH = 'testGrowth',
    TEST_COMBINATION = 'testCombination',
    TEST_PRECONDITIONED = 'testPreconditioned',
    TREATMENT = 'treatment',
    VALUE_LIST = 'valueList',
    USER_PATH = 'userPath',
    USER = 'user',
    USER_GROUP = 'userGroup',
    OEZ_NATURE = 'oezNature',
    STATUS_DATA_ENTRY = 'statusDataEntry',
    MEASURE = 'measure',
    VARIABLE_SCALE = 'variableScale',
    BLOCK = 'block',
    SUB_BLOCK = 'subBlock',
    SURFACIC_UNIT_PLOT = 'surfacicUnitPlot',
    UNIT_PLOT = 'unitPlot',
    INDIVIDUAL = 'individual',
    OEZ = 'oez',
    GRAPHICAL_CONFIGURATION = 'graphicalConfiguration',
    EDIT = 'edit',
    COPY = 'copy',
    DELETE = 'delete',
    CREATE = 'create',
    RESTORE = 'restore',
    NOTE = 'note',
    PLACE_EXPERIMENT = 'placeExperiment',
    PARSING_JOB = 'parsingJob',
    ALGORITHM = 'algorithm',
    VARIABLE_CONNECTION = 'variableConnection',
    REQUEST_FILE = 'requestFile',
    RESPONSE_FILE = 'responseFile',
    DATA_ENTRY_FUSION = 'dataEntryFusion',
    CLONE_PROJECT = 'cloneProject',
    FIELD_MEASURE = 'fieldMeasure',
    CLONE_SITE = 'cloneSite',
    FILE = 'file',
    EXPERIMENT_ATTACHMENT = 'experimentAttachment',
    PROTOCOL_ATTACHMENT = 'protocolAttachment',
    PLATFORM_ATTACHMENT = 'platformAttachment',
    ANNOTATION = 'annotation',
    NORTH_INDICATOR = 'northIndicator',
    GRAPHICAL_TEXT_ZONE = 'graphicalTextZone',
    PARAMETERS = 'parameters',
    ENV = 'env',
    CLONE_VARIABLE = 'cloneVariable',
    OPEN_SILEX_INSTANCE = 'openSilexInstance',
    CLONE_EXPERIMENT = 'cloneExperiment',
    FUSION_DATA_ENTRY = 'fusionDataEntry',
    IDENTIFICATION_CODE_UPDATE = 'identificationCodeUpdate',
    DATA_VIEW_ITEM = 'dataViewItem',
    DATA_VIEW_BUSINESS_OBJECT = 'dataViewBusinessObject',
}

export default ObjectTypeEnum
